Subject: bug#1525: prompt string for execute-extended-command not flexible

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Tue, 12 Jul 2011 10:51:15 +0200

Stefan Monnier <[email-masked]> writes:

> Actually the problem is that it should never have said "M-x " but rather
> "Run command: ".  From this viewpoint, there's no need to use
> this_command_keys: "M-x" is really only meant to be "the canonical
> key-binding for this command", so (key-description (car
> (where-is-internal 'execute-extended-command))) works as well.
> Otherwise if someone happens to hit the "menu" key without realizing
> that it's bound to execute-extended-command he might start wonder "OK
> the menu bar says 'menu ' what do I do now?", whereas presumably with
> "M-x " the user sees "oh that runs the same command as M-x, cool".

Right.  So I'm closing this report, since this isn't really a bug.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/